Summary: iSCSI daemon and utility programs
Name: iscsi-initiator-utils
Version: 4.0.3.0
Release: 4
Source0: http://prdownloads.sourceforge.net/linux-iscsi/linux-iscsi-%{version}-pre1.tgz
Patch0: linux-iscsi-4.0.3.0-makedep.patch
Patch1: linux-iscsi-4.0.3.0-redhatify.patch
Patch2: linux-iscsi-4.0.3.0-initscript.patch
Patch3: linux-iscsi-4.0.3.0-sysconfig.patch
# This patch is upstream
Patch4: linux-iscsi-4.0.3.0-iscsi-ls-tape.patch 
Patch5: linux-iscsi-4.0.3.0-test-session-state-for-rescan.patch
Patch6: linux-iscsi-4.0.3.0-readme-update.patch
Patch7: linux-iscsi-4.0.3.0-iscsi-ls-man-update.patch
Patch8: linux-iscsi-4.0.3.0-iscsi-conf-man-update.patch
Patch9: linux-iscsi-4.0.3.0-sort-iscsi-ls-results.patch
Patch10: linux-iscsi-4.0.3.0-iscsi-ls-with-lun-0-type-unknown.patch
Patch11: linux-iscsi-4.0.3.0-add-kill-session.patch
Patch12: linux-iscsi-4.0.3.0-iscsid-double-close.patch
Patch13: linux-iscsi-4.0.3.0-doc-modparams-and-kill-sess.patch
Patch14: linux-iscsi-4.0.3.0-add-dm-mpath-flush.patch
# This is will always be the final patch where we add our
# own version
Patch15: linux-iscsi-4.0.3.0-add-rh-version.patch

Group: System Environment/Daemons
License: GPL
URL: http://linux-iscsi.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: sysfsutils-devel
Requires: kernel
Prereq: /sbin/chkconfig
ExcludeArch: s390 s390x
Obsoletes: iscsi

%description
The iscsi package provides the server daemon for the iSCSI protocol,
as well as the utility programs used to manage it. iSCSI is a protocol
for distributed disk access using SCSI commands sent over Internet
Protocol networks.

%prep
%setup -q -n %{name}-%{version} -c
cd linux-iscsi-%{version}
%patch0 -p1 -b .makedep
%patch1 -p1 -b .redhatify
%patch2 -p1 -b .initscript
%patch3 -p1 -b .sysconf
%patch4 -p0 -b .iscsi-ls-tape
%patch5 -p1 -b .test-session-state-for-rescan
%patch6 -p1 -b .readme-update
%patch7 -p1 -b .iscsi-ls-man-update
%patch8 -p1 -b .iscsi-conf-man-update
%patch9 -p1 -b .sort-iscsi-ls-results
%patch10 -p1 -b .iscsi-ls-with-lun-0-type-unknown
%patch11 -p1 -b .add-kill-session
%patch12 -p1 -b .iscsid-double-close
%patch13 -p1 -b .doc-modparams-and-kill-sess
%patch14 -p1 -b .add-dm-mpath-flush
%patch15 -p1 -b .add-rh-version

%build
cd linux-iscsi-%{version}
make daemon utils

%install
cd linux-iscsi-%{version}

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/dev/iscsi}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,man5,man8}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -s -m 755 obj/iscsid obj/utils/iscsi-device obj/utils/iscsi-iname $RPM_BUILD_ROOT/sbin
# iscsi-id
# iscsi-mountall is not necessary because we're using _netdev in /etc/fstab
install -m 755 misc/scripts/iscsi-ls $RPM_BUILD_ROOT/sbin
install -m 755 misc/scripts/iscsi-rescan $RPM_BUILD_ROOT/sbin
install -m 755 misc/scripts/iscsi-kill-session $RPM_BUILD_ROOT/sbin
install -m 755 misc/scripts/iscsi $RPM_BUILD_ROOT/etc/sysconfig/
install -m 644 man/iscsi-ls.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 man/iscsid.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 man/iscsi.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5
#install -m 644 man/iscsi.bindings.5 $RPM_BUILD_ROOT/%{_mandir}/man5
install -m 755 misc/scripts/rc.iscsi $RPM_BUILD_ROOT/etc/rc.d/init.d/iscsi
install -m 644 misc/iscsi.conf $RPM_BUILD_ROOT/etc
echo 'GenerateName=yes' > initiatorname.iscsi
install -m 600 initiatorname.iscsi $RPM_BUILD_ROOT/etc
rm -f initiatorname.iscsi

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add iscsi

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del iscsi
fi


%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/iscsi
%attr(600,root,root) %config(noreplace) /etc/initiatorname.iscsi
%attr(600,root,root) %config(noreplace) /etc/iscsi.conf
%attr(600,root,root) %config(noreplace) /etc/sysconfig/iscsi
%doc linux-iscsi-%{version}/README
/sbin/*
%{_mandir}/*/*

%changelog
* Tue May 2 2006 Mike Christie <mchristi@redhat.com> 4.0.3.0-4
- Fix hang when dm-multipath queue_if_no_path and LABELs are used
- Add iscsi-kill-session script
- Fix double close in iscsid
- Fix iscsi-ls output when lun 0 has not type
- sort iscsi-ls results

* Mon Nov 28 2005 Mike Christie <mchristi@redhat.com> 4.0.3.0-3
- Test session state before rescanning
- Update README and man files

* Tue Jul 05 2005 AJ Lewis <alewis@redhat.com> 4.0.3.0-2
- Make iscsi-ls handle tape devices correctly

* Thu Jun 28 2005 AJ Lewis <alewis@redhat.com> 4.0.3.0-1
- initial test packages for RHEL4-U2 iscsi

* Mon Jul 19 2004 AJ Lewis <alewis@redhat.com> 4.0.1.8-0.1
- update to 4.0.1.8 upstream for 2.6 kernels
- add iscsi-id to binaries installed

* Wed Jul 14 2004 AJ Lewis <alewis@redhat.com> 3.6.0.2-0.1
- update to 3.6.0.2 upstream
- add iscsi-ls to installed binaries
- add iscsi-ls.1 manpage to man1
- remove /dev/iscsi reference (no longer used)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 03 2003 Michael K. Johnson <johnsonm@redhat.com> 3.1.0.3-3
- rebuild, 3.1.0.3-3

* Mon Nov 11 2002 Michael K. Johnson <johnsonm@redhat.com>
- Fixed typo in initscript to allow to function

* Thu Oct 17 2002 Michael K. Johnson <johnsonm@redhat.com>
- update to 3.1.0.3 for draft 16 compliance
- /etc/initiatorname.iscsi should be mode 600
- C++ all gone, no need for libstdc++ static link

* Wed Aug 14 2002 Bob Matthews <bmatthews@redhat.com>
- fix perms on /etc/iscsi.conf

* Mon Jul 15 2002 Michael K. Johnson <johnsonm@redhat.com>
- add status function

* Thu May 02 2002 Michael K. Johnson <johnsonm@redhat.com>
- hack to link statically against libstdc++ so /sbin does not depend on /usr

* Wed Apr 10 2002 Michael K. Johnson <johnsonm@redhat.com>
- update to 2.1.0.20

* Fri Oct 26 2001 Than Ngo <than@redhat.com> 2.0.1.8-3
- cleanup startup script
- add excludearch s390 s390x

* Tue Aug 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- clean up shutdown (#52440)

* Mon Aug 13 2001 Michael K. Johnson <johnsonm@redhat.com>
- update to 2.0.1.8 for draft 6 compliance

* Mon Aug 13 2001 Bob Matthews <bmatthews@redhat.com>
- fix typo in initscripts (#51585)

* Tue Jul 31 2001 Bill Nottingham <notting@redhat.com>
- fix up initscript output (#50502)

* Wed Jul 25 2001 Jeremy Katz <katzj@redhat.com>
- source /etc/init.d/functions in the initscript

* Tue Jul 24 2001 Michael K. Johnson <johnsonm@redhat.com>
- initial packaging
